Create
curl --request POST \
--url https://{defaultHost}/v1/review_medias \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"review_media": {
"review_id": "a4890bbf-5c48-4747-9064-3cda5ea029b4",
"media_id": "73327287-0095-4b51-8ff9-7b65f6e9a70f"
}
}
'import requests
url = "https://{defaultHost}/v1/review_medias"
payload = { "review_media": {
"review_id": "a4890bbf-5c48-4747-9064-3cda5ea029b4",
"media_id": "73327287-0095-4b51-8ff9-7b65f6e9a70f"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
review_media: {
review_id: 'a4890bbf-5c48-4747-9064-3cda5ea029b4',
media_id: '73327287-0095-4b51-8ff9-7b65f6e9a70f'
}
})
};
fetch('https://{defaultHost}/v1/review_medias', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "e752fd62-b5cf-4bb9-be7c-7e416781c169",
"object": "review_media",
"alt": null,
"title": null,
"url": null,
"media": "73327287-0095-4b51-8ff9-7b65f6e9a70f",
"review": "a4890bbf-5c48-4747-9064-3cda5ea029b4",
"created_at": 1782485896,
"updated_at": 1782485896
}Review Medias
Create
Create a new review media.
POST
/
v1
/
review_medias
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
The HTML alt attribute for the review media.
The HTML title attribute for the review media.
Instead of attaching a Media record, a public URL can be set. If set, this URL will be used to serve the review media asset.
Expandable – The associated media ID.
Expandable – The associated review ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I